# ------------------- Source files --------------------

add_library(PugsLanguageAST
  ASTBuilder.cpp
  ASTModulesImporter.cpp
  ASTNodeAffectationExpressionBuilder.cpp
  ASTNodeArraySubscriptExpressionBuilder.cpp
  ASTNodeBinaryOperatorExpressionBuilder.cpp
  ASTNodeBuiltinFunctionExpressionBuilder.cpp
  ASTNodeDataTypeBuilder.cpp
  ASTNodeDataTypeChecker.cpp
  ASTNodeDataType.cpp
  ASTNodeDataTypeFlattener.cpp
  ASTNodeDeclarationToAffectationConverter.cpp
  ASTNodeEmptyBlockCleaner.cpp
  ASTNodeExpressionBuilder.cpp
  ASTNodeFunctionEvaluationExpressionBuilder.cpp
  ASTNodeFunctionExpressionBuilder.cpp
  ASTNodeIncDecExpressionBuilder.cpp
  ASTNodeJumpPlacementChecker.cpp
  ASTNodeListAffectationExpressionBuilder.cpp
  ASTNodeNaturalConversionChecker.cpp
  ASTNodeUnaryOperatorExpressionBuilder.cpp
  ASTSymbolInitializationChecker.cpp
  ASTSymbolTableBuilder.cpp
  )


add_dependencies(PugsLanguageAST
  PugsUtils)
